import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results

name = "../../onnx/results/bench_plot_onnxruntime_casc_add.perf.csv"
df = pandas.read_csv(name)
plot_bench_results(df, row_cols='N', col_cols='dim',
                   x_value='nbnode', fontsize=24,
                   title="%s\nBenchmark numpy / onnxruntime" % "Cascade Add");

plt.suptitle("Acceleration onnxruntime / numpy for Add")
plt.show()